> ## Documentation Index
> Fetch the complete documentation index at: https://docs.explo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Email Dashboard Screenshot as Attachment

This endpoint takes a screenshot of the dashboard and emails it as an attachment. This endpoint is rate limited based on the corresponding docs [here](/security/security-faqs#do-explos-api-endpoints-have-a-rate-limit).

<Note>
  This API will send the most recent version or draft of this dashboard.
</Note>

### Body

<ParamField body="provided_id" type="string">
  This is your id for your customer that you'd like to screenshot for. This
  controls what data the dashboard loads with in the screenshot.
</ParamField>

<ParamField body="dashboard_embed_id" type="string">
  This is the token you use to embed your dashboard in your site. You can find
  this on the Dashboards page in Explo.
</ParamField>

<ParamField body="email" type="string" optional="true">
  The email you'd like this screenshot to be send to. If this is not provided,
  then a short-lived download link to your screenshot will be returned instead.
</ParamField>

<ParamField body="download_file_name" type="string" optional="true">
  The name you'd like the file to be called in the download. By default, this is
  set to dashboard\_screenshot\_download.\{png | pdf}.
</ParamField>

<ParamField body="export_type" type="string" optional="true">
  The file type for the screenshot. Must be "image" (for a png) or "pdf" (for a
  pdf). By default, this is "image."
</ParamField>

<ParamField body="subject" type="string" optional="true">
  Set subject for screenshot email. By default this is set to Requested Data
  Export:
  \{download\_file\_name} \{export\_type}.
</ParamField>

<ParamField body="variables" type="object" optional="true">
  Set variables for your screenshot. These will function the same way as
  variables you provide in your embed.
</ParamField>

<ParamField body="width" type="number" optional="true">
  Width in pixels for the screenshot. Must be greater than 0
</ParamField>

### Response

<ResponseField name="success" type="number">
  Indicates whether the call was successfully initiated. 1 if successful, 0 if not.
</ResponseField>

<ResponseField name="url" type="string" optional="true">
  If an email is not provided, this will be the download url for your
  screenshot.
</ResponseField>

<RequestExample>
  ```bash Example Request theme={null}
  curl --location --request POST 'https://api.explo.co/api/dashboard/screenshot' \
  --header 'Content-Type: application/json' \
  --header 'Explo-Authorization: Token <token>' \
  --data-raw '{
      "provided_id": "123",
      "dashboard_embed_id": "abc123",
      "email": "customer@site.com",
      "download_file_name": "your_dashboard_screenshot",
      "export_type": "image",
      "subject": "Requested Data Export: your_dashboard_screenshot image",
      "variables": {"example_var": 123}
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "success": 1
  }
  ```
</ResponseExample>
